Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.content.dynamic
Class DynamicChangeable.AlwaysChanged

    java.lang.Object
      com.servingxml.components.content.dynamic.DynamicChangeable.AlwaysChanged

All Implemented Interfaces:
  DynamicChangeable

Enclosing interface:
  DynamicChangeable

    public static final class DynamicChangeable.AlwaysChanged

extends java.lang.Object
implements DynamicChangeable

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.content.dynamic.DynamicChangeable
`DynamicChangeable.AlwaysChanged`

Field Summary

Fields inherited from interface com.servingxml.components.content.dynamic.DynamicChangeable
`ALWAYS_CHANGED`

Constructor Summary
`DynamicChangeable.AlwaysChanged()`

Method Summary
`long` | `getLastModified(java.lang.Object key, long timestamp, long elapsed)` Called by the servingxml framework to determine whether the XML content has changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicChangeable.AlwaysChanged

    public DynamicChangeable.AlwaysChanged()

Method Detail

### getLastModified

    public long getLastModified(java.lang.Object key,
                                long timestamp,
                                long elapsed)

  Description copied from interface: `DynamicChangeable`
  Called by the servingxml framework to determine whether the XML content has changed.

  Specified by:
    `getLastModified` in interface `DynamicChangeable`
  Parameters:
    `key` - the document key
    `timestamp` - the time the node was created

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD